Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.random
Class JDKRandomGenerator

    java.lang.Object
      java.util.Random
          org.apache.commons.math.random.JDKRandomGenerator

All Implemented Interfaces:
  java.io.Serializable, RandomGenerator

    public class JDKRandomGenerator

extends java.util.Random
implements RandomGenerator

Extension of `java.util.Random` to implement `RandomGenerator`.

Since:
  1.1
Version:
  $Revision: 811685 $ $Date: 2009-09-05 13:36:48 -0400 (Sat, 05 Sep 2009) $
See Also:
  Serialized Form

Field Summary
`private static long` | `serialVersionUID` Serializable version identifier.

Constructor Summary
`JDKRandomGenerator()`

Method Summary
`void` | `setSeed(int seed)` Sets the seed of the underyling random number generator using an `int` seed.
`void` | `setSeed(int[] seed)` Sets the seed of the underyling random number generator using an `int` array seed.

Methods inherited from class java.util.Random
`next, nextBoolean, nextBytes, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong, setSeed`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.math.random.RandomGenerator
`nextBoolean, nextBytes, nextDouble, nextFloat, nextGaussian, nextInt, nextInt, nextLong, setSeed`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

  Serializable version identifier.

  See Also:
    Constant Field Values

Constructor Detail

### JDKRandomGenerator

    public JDKRandomGenerator()

Method Detail

### setSeed

    public void setSeed(int seed)

  Sets the seed of the underyling random number generator using an `int` seed.

  Sequences of values generated starting with the same seeds should be identical.

  Specified by:
    `setSeed` in interface `RandomGenerator`
  Parameters:
    `seed` - the seed value

### setSeed

    public void setSeed(int[] seed)

  Sets the seed of the underyling random number generator using an `int` array seed.

  Sequences of values generated starting with the same seeds should be identical.

  Specified by:
    `setSeed` in interface `RandomGenerator`
  Parameters:
    `seed` - the seed value

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2011 Apache Software Foundation